For Developers

Update Feed Subscriber

PATCH https://ed.link/api/v2/teams/:team_id/applications/:application_id/subscribers/:subscriber_id

Updates properties of a feed subscriber.

Permissions

Requires the feed_subscribers.update system permission.

Parameters

ParameterTypeRequiredDescription
:team_idUUIDYesThe ID of the team.
:application_idUUIDYesThe ID of the application.
:subscriber_idUUIDYesThe ID of the subscriber.

Request Body

PropertyTypeRequiredDescription
nameStringNoUpdated subscriber label.
typeStringNoUpdated transport type.
stateStringNoUpdated state (active or paused).
eventsArrayNoUpdated array of event type strings.
configurationObjectNoUpdated transport parameters.

Sample Request

const response = await axios.patch(
    `https://ed.link/api/v2/teams/${team_id}/applications/${application_id}/subscribers/${subscriber_id}`,
    {
        state: "paused"
    },
    {
        headers: {
            authorization: `Bearer ${user_session_token}`
        }
    }
);

Sample Response

{
    "$data": {
        "id": "1c7a216b-4e09-4d24-8f47-c0e815617a22",
        "name": "Alerts Webhook",
        "state": "paused"
    }
}